summaryrefslogtreecommitdiffstats
path: root/libraries
diff options
context:
space:
mode:
author Soydaner Ulker <soydaner@kahverengi.com>2014-10-01 09:19:20 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2014-10-03 10:16:55 +0700
commitf4cd5d8d9492cdd52e9d84eaabd446cbae87550c (patch)
treebdd645a85434029284eba4440bd990f414e1a49b /libraries
parentd8d998a60208db638c7c5846df51ef0c4557aeb5 (diff)
downloadslackbuilds-f4cd5d8d9492cdd52e9d84eaabd446cbae87550c.tar.gz
slackbuilds-f4cd5d8d9492cdd52e9d84eaabd446cbae87550c.tar.xz
libraries/libgexiv2: New maintainer.
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'libraries')
-rw-r--r--libraries/libgexiv2/README5
-rw-r--r--libraries/libgexiv2/libgexiv2.SlackBuild55
-rw-r--r--libraries/libgexiv2/libgexiv2.info4
-rw-r--r--libraries/libgexiv2/slack-desc6
4 files changed, 47 insertions, 23 deletions
diff --git a/libraries/libgexiv2/README b/libraries/libgexiv2/README
index 39d710379d..40c7cae33c 100644
--- a/libraries/libgexiv2/README
+++ b/libraries/libgexiv2/README
@@ -1,2 +1,3 @@
-Gexiv2 is a GObject-based wrapper around Exiv2, a library used to manage image
-metadata.
+gexiv2 is a GObject wrapper around the Exiv2 photo metadata library.
+It allows for GNOME applications to easily inspect and update
+EXIF, IPTC, and XMP metadata in photo files of various formats.
diff --git a/libraries/libgexiv2/libgexiv2.SlackBuild b/libraries/libgexiv2/libgexiv2.SlackBuild
index a0c31f8702..89489463c4 100644
--- a/libraries/libgexiv2/libgexiv2.SlackBuild
+++ b/libraries/libgexiv2/libgexiv2.SlackBuild
@@ -1,11 +1,31 @@
#!/bin/sh
-# Brad Hermanson <apeitheo@gmail.com>
+# Slackware build script for entangle
+
+# Copyright 2014 Soydaner Ulker Istanbul,Turkey
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
PRGNAM=libgexiv2
SRCNAM=gexiv2
VERSION=${VERSION:-0.7.0}
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-2}
TAG=${TAG:-_SBo}
if [ -z "$ARCH" ]; then
@@ -24,6 +44,9 @@ OUTPUT=${OUTPUT:-/tmp}
if [ "$ARCH" = "i486" ]; then
SLKCFLAGS="-O2 -march=i486 -mtune=i686"
LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
elif [ "$ARCH" = "x86_64" ]; then
SLKCFLAGS="-O2 -fPIC"
LIBDIRSUFFIX="64"
@@ -40,33 +63,33 @@ cd $TMP
rm -rf $SRCNAM-$VERSION
tar xvf $CWD/$SRCNAM-$VERSION.tar.xz
cd $SRCNAM-$VERSION
-
chown -R root:root .
find -L . \
\( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
-o -perm 511 \) -exec chmod 755 {} \; -o \
\( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
- -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --build=$ARCH-slackware-linux \
+ --enable-introspection \
-# This doesn't really do much...
-./configure --prefix=/usr
make \
- CFLAGS="$SLKCFLAGS -g -pipe -fPIC -nostdlib" \
- PREFIX=/usr \
+ DESTDIR=$PKG \
LIB=lib${LIBDIRSUFFIX}
make install \
- PREFIX=/usr \
- LIB=lib${LIBDIRSUFFIX} \
- DESTDIR=$PKG
+ DESTDIR=$PKG \
+ LIB=lib${LIBDIRSUFFIX}
-find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
- | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
-cp -a \
- AUTHORS COPYING INSTALLING MAINTAINERS NEWS README THANKS \
- $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS COPYING INSTALLING MAINTAINERS NEWS README THANKS $PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
mkdir -p $PKG/install
diff --git a/libraries/libgexiv2/libgexiv2.info b/libraries/libgexiv2/libgexiv2.info
index ac7f869665..42bc1e601b 100644
--- a/libraries/libgexiv2/libgexiv2.info
+++ b/libraries/libgexiv2/libgexiv2.info
@@ -6,5 +6,5 @@ MD5SUM="de3619e5d2b621c19fdcf77b17d25d25"
DOWNLOAD_x86_64=""
MD5SUM_x86_64=""
REQUIRES=""
-MAINTAINER="Brad Hermanson"
-EMAIL="apeitheo@gmail.com"
+MAINTAINER="Soydaner Ulker"
+EMAIL="soydaner@kahverengi.com" \ No newline at end of file
diff --git a/libraries/libgexiv2/slack-desc b/libraries/libgexiv2/slack-desc
index d13b11f0cc..ae4dcb9130 100644
--- a/libraries/libgexiv2/slack-desc
+++ b/libraries/libgexiv2/slack-desc
@@ -8,9 +8,9 @@
|-----handy-ruler------------------------------------------------------|
libgexiv2: libgexiv2 (GObject wrapper around Exiv2 library)
libgexiv2:
-libgexiv2: gexiv2 is a GObject-based wrapper around the Exiv2 library. It
-libgexiv2: makes the basic features of Exiv2 available to GNOME applications.
-libgexiv2:
+libgexiv2: gexiv2 is a GObject wrapper around the Exiv2 photo metadata library.
+libgexiv2: It allows for GNOME applications to easily inspect and update EXIF,
+libgexiv2: IPTC, and XMP metadata in photo files of various formats.
libgexiv2: Homepage: https://wiki.gnome.org/gexiv2
libgexiv2:
libgexiv2: